Ping

Check the availability of an InfluxDB 3 Clustered instance.
GET /ping

Get the status of the instance

Retrieves the status and InfluxDB version of the instance.

Use this endpoint to monitor uptime for the InfluxDB instance. The response returns a HTTP 204 status code to inform you the instance is available.

This endpoint doesn’t require authentication.

Example request Ask AI about this
curl --request GET \
  "https://cluster-host.com/ping" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

204 Success. Headers contain InfluxDB version information.
4xx

InfluxDB Cloud

  • Doesn’t return this error.
HEAD /ping

Get the status of the instance

Returns the status and InfluxDB version of the instance.

Use this endpoint to monitor uptime for the InfluxDB instance. The response returns a HTTP 204 status code to inform you the instance is available.

This endpoint doesn’t require authentication.

Example request Ask AI about this
curl --request HEAD \
  "https://cluster-host.com/ping" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

204 Success. Headers contain InfluxDB version information.
4xx

InfluxDB Cloud

  • Doesn’t return this error.

Was this page helpful?

Thank you for your feedback!